Opened 12 years ago

Closed 12 years ago

#3319 closed defect (fixed)

SVN 13265 - error upgrading database schema from [1186] to [1188]

Reported by: anonymous Owned by: Isaac Richards
Priority: major Milestone: 0.21
Component: mythtv Version: head
Severity: medium Keywords:
Cc: Ticket locked: no

Description

I believe some mysql4 code crept back into svn recently and that is breaking the db upgrade script.

mysql version 3.23

errors during mythfrontend run:

2007-04-16 21:01:33.370 Current Schema Version: 1186 2007-04-16 21:01:33.371 Newest Schema Version : 1188 2007-04-16 21:01:33.372 Connected to database 'mythconverg' at host: localhost 2007-04-16 21:01:33.372 Setting Lock for Database Schema upgrade. If you see a long pause here it means the Schema is already locked and is being upgraded by another Myth process. 2007-04-16 21:01:33.373 Connected to database 'mythconverg' at host: localhost 2007-04-16 21:01:33.375 Upgrading to schema version 1187 2007-04-16 21:01:33.375 DB Error (Performing database upgrade): Query was: ALTER TABLE eit_cache MODIFY eventid INT UNSIGNED default 0; Error was: Driver error was [2/1171]: QMYSQL3: Unable to execute query Database error was: All parts of a PRIMARY KEY must be NOT NULL; If you need NULL in a key, use UNIQUE instead new version: 1187 2007-04-16 21:01:33.376 Database Schema upgrade FAILED, unlocking. 2007-04-16 21:01:33.376 Couldn't upgrade database to new schema, exiting.

Change History (3)

comment:1 Changed 12 years ago by xris

Summary: SVN 13265 - error upgrading database schema from 1186 to 1188SVN 13265 - error upgrading database schema from [1186] to [1188]

posted for links: [1186] to [1188]

comment:2 Changed 12 years ago by xris

oh, db schema, not revision...

comment:3 Changed 12 years ago by xris

Resolution: fixed
Status: newclosed

(In [13267]) reiterate NOT NULL in this change. If not, it seems to break mysql 3.x. Closes #3319

Note: See TracTickets for help on using tickets.